cutlass::TypeTraits< complex< half > > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef complex< half_t > | host_type
typedef complex< half > | device_type
typedef int16_t | integer_type
typedef uint16_t | unsigned_type

## Static Public Member Functions

static device_type | to_device (complex< half > x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_C_16F

## Member Typedef Documentation

typedef complex<half> cutlass::TypeTraits< complex< half > >::device_type

typedef complex<half_t> cutlass::TypeTraits< complex< half > >::host_type

typedef int16_t cutlass::TypeTraits< complex< half > >::integer_type

typedef uint16_t cutlass::TypeTraits< complex< half > >::unsigned_type

## Member Function Documentation

static device_type cutlass::TypeTraits< complex< half > >::to_device | ( | complex< half > | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< complex< half > >::cublas_type = CUDA_C_16F

static

The documentation for this struct was generated from the following file:

- type_traits.h